oracle.pg.hbase

## Class OraclePropertyGraphFeatures

- java.lang.Object
- - com.tinkerpop.blueprints.Features
  - - oracle.pg.hbase.OraclePropertyGraphFeatures

-     public class OraclePropertyGraphFeatures
      extends Features

  Oracle's extension of Features class

- - ### Field Summary

    - ### Fields inherited from class com.tinkerpop.blueprints.Features

      `ignoresSuppliedIds, isPersistent, isRDFModel, isWrapper, supportsBooleanProperty, supportsDoubleProperty, supportsDuplicateEdges, supportsEdgeIndex, supportsEdgeIteration, supportsEdgeKeyIndex, supportsEdgeProperties, supportsEdgeRetrieval, supportsFloatProperty, supportsIndices, supportsIntegerProperty, supportsKeyIndices, supportsLongProperty, supportsMapProperty, supportsMixedListProperty, supportsPrimitiveArrayProperty, supportsSelfLoops, supportsSerializableObjectProperty, supportsStringProperty, supportsThreadedTransactions, supportsTransactions, supportsUniformListProperty, supportsVertexIndex, supportsVertexIteration, supportsVertexKeyIndex, supportsVertexProperties`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCompliance()` This method determines whether the full gamut of features have been set by the Graph implementation.
    `Features` | `copyFeatures()` This method copies the features in this features object to another feature object..
    `static OraclePropertyGraphFeatures` | `getInstance()` Return an `OraclePropertyGraphFeatures` instance.
    `boolean` | `supportsElementProperties()`
    `Map` | `toMap()` Return the map representation of this object.

    - ### Methods inherited from class com.tinkerpop.blueprints.Features

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### checkCompliance

          public void checkCompliance()
                               throws IllegalStateException

      This method determines whether the full gamut of features have been set by the Graph implementation.
      Overrides:
        `checkCompliance` in class `Features`
      Throws:
        `IllegalStateException`

    - #### copyFeatures

          public Features copyFeatures()

      This method copies the features in this features object to another feature object..
      Overrides:
        `copyFeatures` in class `Features`

    - #### getInstance

          public static OraclePropertyGraphFeatures getInstance()

      Return an `OraclePropertyGraphFeatures` instance.

    - #### supportsElementProperties

          public boolean supportsElementProperties()

      Overrides:
        `supportsElementProperties` in class `Features`

    - #### toMap

          public Map toMap()

      Return the map representation of this object.
      Overrides:
        `toMap` in class `Features`

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.